Issue 74523 - Loading html-document crashes office
Summary: Loading html-document crashes office
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: open-import (show other issues)
Version: OOo 2.2
Hardware: All All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: helge.delfs
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks: 73858
  Show dependency tree
 
Reported: 2007-02-14 09:43 UTC by helge.delfs
Modified: 2013-08-07 14:42 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Bugdoc (2.68 KB, text/html)
2007-02-14 09:45 UTC, helge.delfs
no flags Details
The floated document within the html-document (5.86 KB, application/vnd.sun.xml.writer)
2007-02-14 10:12 UTC, helge.delfs
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description helge.delfs 2007-02-14 09:43:44 UTC
Loading html-document crashes during loading. This was found on patched
SRC680m124 with m7 on Solaris-Sparc.
Comment 1 helge.delfs 2007-02-14 09:45:10 UTC
Created attachment 43009 [details]
Bugdoc
Comment 2 helge.delfs 2007-02-14 10:12:33 UTC
Created attachment 43013 [details]
The floated document within the html-document
Comment 3 helge.delfs 2007-02-14 10:13:57 UTC
HDE: crashes in unpatched m7 too
Comment 4 thb 2007-02-14 11:52:44 UTC
hm - crashes in  LatheProperties::PostItemChange. could it be issue 74258 broke
this?
Comment 5 mdxonefour 2007-02-14 14:31:11 UTC
md added to cc
Comment 6 thb 2007-02-14 15:43:55 UTC
Crashes in drawing layer form control code, taking over. Crash happens on all
platforms.
Comment 7 thb 2007-02-14 23:04:34 UTC
Hm. Seems that ViewObjectContactOfUnoControl_Impl::positionAndZoomControl()
operates on a dead m_pOutputDeviceForWindow, which  stayed there because of a
previous sw ViewShell::ImplEndAction(). Normally, the ViewObjectContacts should
not get reused for diifferent output devices, maybe the  output buffering  vdev
is interfering here. Looking further...
Comment 8 thb 2007-02-15 10:25:00 UTC
OK - checking for m_pOutputDeviceForWindow == &_rDevice in
ViewObjectContactOfUnoControl_Impl::impl_ensureControl_nothrow() avoids the
crash, at the cost of re-generating the control (and going against the whole
ViewObjectContact concept). FS is having a look...
Comment 9 thb 2007-02-15 10:26:04 UTC
.
Comment 10 thb 2007-02-15 11:53:42 UTC
fs evaluates alternative fixes
Comment 11 thb 2007-02-15 11:55:10 UTC
.
Comment 12 Frank Schönheit 2007-02-15 12:37:16 UTC
fixed in CWS thbpp6v4:
svx/source/sdr/contact/viewobjectcontactofunocontrol.cxx, 1.5.44.1.22.1

Seems the code mix up the device to draw onto which the device for which the
control was created. Together with the surprising fact that a fixed SdrPageView
can have different paint devices in subsequent paint runs (have to interview AW
about this), the thingie crashed.
Comment 13 Frank Schönheit 2007-02-15 12:37:53 UTC
didn't I say FIXED?
Comment 14 Frank Schönheit 2007-02-15 12:38:57 UTC
.
Comment 15 thb 2007-02-15 14:06:10 UTC
Checked in install sets for Win & Sols, fixed there, too.
Comment 16 thb 2007-02-15 14:29:37 UTC
@hde: fixed in CWS thbpp6v4, please verify.
Comment 17 helge.delfs 2007-02-16 08:04:09 UTC
HDE: Verified in CWS thbpp6v4
Comment 18 helge.delfs 2007-02-27 12:52:44 UTC
HDE: Ok in MWS